compact1, compact2, compact3
java.nio.file.attribute

## Interface PosixFileAttributes

All Superinterfaces:
  BasicFileAttributes

    public interface PosixFileAttributes
    extends BasicFileAttributes

File attributes associated with files on file systems used by operating systems that implement the Portable Operating System Interface (POSIX) family of standards.

The POSIX attributes of a file are retrieved using a `PosixFileAttributeView` by invoking its `readAttributes` method.

Since:
  1.7

### Method Summary

All Methods Instance Methods Abstract Methods
`GroupPrincipal` `group()` Returns the group owner of the file.
`UserPrincipal` `owner()` Returns the owner of the file.
`Set<PosixFilePermission>` `permissions()` Returns the permissions of the file.

### Methods inherited from interface java.nio.file.attribute.BasicFileAttributes

`creationTime, fileKey, isDirectory, isOther, isRegularFile, isSymbolicLink, lastAccessTime, lastModifiedTime, size`

### Method Detail

#### owner

    UserPrincipal owner()

Returns the owner of the file.

Returns:
  the file owner
See Also:
  `FileOwnerAttributeView.setOwner(java.nio.file.attribute.UserPrincipal)`

#### group

    GroupPrincipal group()

Returns the group owner of the file.

Returns:
  the file group owner
See Also:
  `PosixFileAttributeView.setGroup(java.nio.file.attribute.GroupPrincipal)`

#### permissions

    Set<PosixFilePermission> permissions()

Returns the permissions of the file. The file permissions are returned as a set of `PosixFilePermission` elements. The returned set is a copy of the file permissions and is modifiable. This allows the result to be modified and passed to the `setPermissions` method to update the file's permissions.

Returns:
  the file permissions
See Also:
  `PosixFileAttributeView.setPermissions(java.util.Set<java.nio.file.attribute.PosixFilePermission>)`